SymetryML Documentation
Federated learning

Get federation sync statistics

Get federation synchronization logs. This contains information about error and successfull synchronization. It also contains information about PSRContract error if applicable.

GET
/{user}/fedml/{project}/syncStats

Get federation synchronization logs. This contains information about error and successfull synchronization. It also contains information about PSRContract error if applicable.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/fedml/nbra_prj_iris/syncStats"

{  "statusCode": 200,  "statusString": "OK",  "values": {    "fedSyncStats": {      "sndCount": 4,      "sndContractError": 0,      "rcvCount": 6,      "rcvError": 0,      "rcvContractError": {},      "errorLog": [        "no error"      ],      "syncLog": [        "{2026-07-17T20.12.09} fedProj rebuilt done name:[fed-a] id:[12] type:[com.rtlm.core.bets.DynamicBET] #peers:2 ms:20 time:2026-07-17T20.12 syncHash:8ZU6wZkWX2G6N/uEjEiyv8h+NTVgzNFnHmXI9au+FNE=, Merge PeerIDs [ (0)  (5219) ]"      ]    }  }}

{  "statusCode": 500,  "statusString": "Error Invalid project name / or not logged in.",  "values": {}}